## com.java2html
Class Java2HTMLTask

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--com.java2html.Java2HTMLTask

public class Java2HTMLTask
extends org.apache.tools.ant.Task

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Java2HTMLTask()`

Method Summary
`void` | `addConfiguredFileSet(org.apache.tools.ant.types.FileSet fileSet)` Set the Java Source directories that will be converted into HTML.
`void` | `addConfiguredJavaDoc(com.java2html.JavaDoc javaDoc)`
`void` | `execute()`
`void` | `setDestination(java.io.File destination)` Sets the output directory that the generated HTML will be placed into.
`void` | `setFailOnError(boolean failOnError)`
`void` | `setFooter(boolean footer)` Determines if a footer should be generated when buildJava2HTML() is called.
`void` | `setHeader(boolean header)` Determines if a header should be generated when buildJava2HTML() is called.
`void` | `setMarginSize(int marginSize)` Set the margin size that should be generated when buildJava2HTML() is called.
`void` | `setSimple(boolean simple)` Determines if only the java source and stylesheet files will be output
`void` | `setTabSize(int tabSize)` Set the number of spaces that tabs will be converted to when buildJava2HTML() is called.
`void` | `setTitle(java.lang.String title)` Set the title that will be used when buildJava2HTML() is called.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Java2HTMLTask

    public Java2HTMLTask()

Method Detail

### addConfiguredFileSet

    public void addConfiguredFileSet(org.apache.tools.ant.types.FileSet fileSet)

  Set the Java Source directories that will be converted into HTML.

### addConfiguredJavaDoc

    public void addConfiguredJavaDoc(com.java2html.JavaDoc javaDoc)
                              throws org.apache.tools.ant.BuildException

    `org.apache.tools.ant.BuildException`

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
    `org.apache.tools.ant.BuildException`

### setDestination

    public void setDestination(java.io.File destination)

  Sets the output directory that the generated HTML will be placed into.

  Parameters:
    `destination` - Directory where output will be directed to

### setFailOnError

    public void setFailOnError(boolean failOnError)

### setFooter

    public void setFooter(boolean footer)

  Determines if a footer should be generated when buildJava2HTML() is called.

  Parameters:
    `footer` - set to true if a header is required

### setHeader

    public void setHeader(boolean header)

  Determines if a header should be generated when buildJava2HTML() is called.

  Parameters:
    `header` - set to true if a header is required

### setMarginSize

    public void setMarginSize(int marginSize)

  Set the margin size that should be generated when buildJava2HTML() is called.

  Parameters:
    `marginSize` - Margin Size

### setSimple

    public void setSimple(boolean simple)

  Determines if only the java source and stylesheet files will be output

  Parameters:
    `simple` - set to true for simple output

### setTabSize

    public void setTabSize(int tabSize)

  Set the number of spaces that tabs will be converted to when buildJava2HTML() is called.

  Parameters:
    `tabSize` - Number of spaces tabs should be converted to.

### setTitle

    public void setTitle(java.lang.String title)

  Set the title that will be used when buildJava2HTML() is called.

  Parameters:
    `title` - The title that will be displayed in the generated HTML

Copyright © 2000-2003 Polygon Enterprises. All Rights Reserved.